# Space Construct

## Ships

A ship contains the player and within a ship a player can build/craft, and as the captain of the ship a player can invite other players to be guests.

### Resources

All items require resources of various types...

```
Metal (Classified a Common resource)
Explosive (Classified a Basic resource)
Crystal (Classified a Rare resource)
Power (Produced by a Generator and stored by a Battery and consumed by various items)
Fuel (Consumed per action, without a fuel pod a ship has 20 fuel and gains 6 for each pod)
Ammo (Consumed by Guns)
```

### Thrust to Movement speed

A ship contains mass, therefore to go faster a ship can either have less mass or more thrusters installed.

```
Armor increases mass by 3, (Both Good and Bad Armor increase by 3 mass)
Shields by 1, (Regardless the Shield level it only increases by 1)
Solar Panels by 1,
Guns by 2, (Designed for offense as such has a bit more mass)
Thrusters provide thrust for 7 which means reduce mass by 7 (a negative mass means 1 mass)
Shopers by 2, (Since you can buy and sell stuff for credits its a bit big)
Transporters by 3, (Due to there technology its big, very big)
Fuel Pods by 2, (Each pod increases total amount of fuel you can have, and thus takes more mass)
Batteries by 1,
Generators by 2, (Generates power as such requires more mass)
```

### Taking Damage

A ship by default comes with 1 Armor (Good), 1 Gun, 1 Thruster, 1 Battery, and 1 Generator (This gives the default ship with +1 mass or about 1 fuel consumed per action)

```
Armor must be repaired to become useful as such to repair it will require 1 metal.
Shields will gradually regenerate with energy consumed. (1 for sustaining shields, and 2 while regenerating).
```

### Calculating Hit Points

For almost everything the hull adjusts to give more space... as such you also get more HP for just being a bigger ship... though it costs.

```
Armor (Good)     = 2 HP (1 from hull, and 1 from being fully repaired armor)
Armor (Bad)      = 1 HP (1 from hull, and 0 from being damaged armor)
Shield (Full)    = 3 HP (1 from hull, and 2 from shields being at full charge)
Shield (Half)    = 2 HP (1 from hull, and 1 from shields being partially charged)
Shield (Empty)   = 1 HP (1 from hull, and 0 from being depleted)
Solar Panel      = 1 HP (1 from hull)
Gun              = 1 HP (1 from hull)
Thruster         = 1 HP (1 from hull)
Advanced Crafter = 0 HP (This is a tech, this it does not increase hull or mass)
Shoper           = 1 HP (1 from hull)
Fuel Pod         = -1 HP (yes you loose HP due to explosive fuel)
```

### Energy Costs

Things like Shields, Guns, Shops, Traders and of course Thrusters require Energy

### Producing and Storing Energy

```
Solar Panels produce a varied amount of 0 to 2 units of energy,
Generators produce a constant amount of 4 unit of energy,
Batteries store a amount of 12 units,
```

### Energy Consumed

```
Armors take 0 energy in both Good and Bad states and even while being repaired cost 0,
Shields take 1 energy to maintain Full or Half states and need 2 energy to recharge to Half or Full,
Guns require 3 energy to fire,
Thrusters consume 2 energy to provide thrust,
Shoper requires 1 energy constantly,
```

### How do you win or get Experience

There really is no goal except to fly around and build/craft or fight other players or go mining on an asteroid.

You gain experience crafting and of course dealing damage and mining also gives experience.

You gain credits selling stuff or resources using a Shoper and there you can buy stuff only if you can craft it... or you can buy other resources.

The scoreboard will show stuff such as Player Name,  Players Ship Name, Players Experience, Players Credits.
